// Copyright GreenKeeper Software 2005

#import <Cocoa/Cocoa.h>

// Controls many of the user's actions associated with the menu
@interface MenuController : NSObject {
	
	// Interface components
	IBOutlet NSMenu *menu;
    IBOutlet NSMenuItem *startItem;
    IBOutlet NSMenuItem *stopItem;
	IBOutlet NSMenuItem *currentProjectItem;
	IBOutlet NSMenuItem *percentCompletedItem;
	IBOutlet NSMenuItem *projectCreditItem;
	IBOutlet NSMenuItem *currentProjectItem2;
	IBOutlet NSMenuItem *percentCompletedItem2;
	IBOutlet NSMenuItem *projectCreditItem2;
	IBOutlet NSMenuItem *totalCreditItem;
	
	// Local variables
	NSStatusItem *statusItem;
	NSString *project;
	NSString *percentCompleted;
	NSString *projectCredit;
	NSString *project2;
	NSString *percentCompleted2;
	NSString *projectCredit2;
	NSString *totalCredit;
}

// Opens the main BOINC site
- (IBAction)openBoincSite:(id)sender;

// Opens standard about box
- (IBAction)openAbout:(id)sender;

// Opens built-in help
- (IBAction)openHelp:(id)sender;

// Starts boinc
- (IBAction)start:(id)sender;

// Stops boinc
- (IBAction)stop:(id)sender;

// Quits the program
- (IBAction)quit:(id)sender;

@end